E-MailRelay

Public Types | Public Member Functions | List of all members
G::StringFieldIteratorT< T > Class Template Reference

A standard forward iterator for G::StringFieldT: More...

`#include <gstringfield.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = T
using | difference_type = int
using | pointer = T *
using | reference = T &

## Public Member Functions
| StringFieldIteratorT (StringFieldT< T > &) noexcept
| StringFieldIteratorT (std::nullptr_t) noexcept
StringFieldIteratorT & | operator++ () noexcept
T | operator* () const noexcept(StringFieldT< T >::deref_operator_noexcept)
bool | operator== (StringFieldIteratorT other) const noexcept
bool | operator!= (StringFieldIteratorT other) const noexcept

## Detailed Description

template<typename T>
class G::StringFieldIteratorT< T >

A standard forward iterator for G::StringFieldT:

StringFieldView f( "foo,bar"_sv , "," , 1U ) ;
std::copy( begin(f) , end(f) , std::back_inserter(list) ) ; // or...
for( std::string_view sv : f ) list.push_back( sv ) ;

Definition at line 128 of file gstringfield.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename T >

using G::StringFieldIteratorT< T >::difference_type = int

Definition at line 133 of file gstringfield.h.

## ◆ iterator_category

template<typename T >

using G::StringFieldIteratorT< T >::iterator_category = std::forward_iterator_tag

Definition at line 131 of file gstringfield.h.

## ◆ pointer

template<typename T >

using G::StringFieldIteratorT< T >::pointer = T*

Definition at line 134 of file gstringfield.h.

## ◆ reference

template<typename T >

using G::StringFieldIteratorT< T >::reference = T&

Definition at line 135 of file gstringfield.h.

## ◆ value_type

template<typename T >

using G::StringFieldIteratorT< T >::value_type = T

Definition at line 132 of file gstringfield.h.

## Constructor & Destructor Documentation

## ◆ StringFieldIteratorT() [1/2]

template<typename T >

G::StringFieldIteratorT< T >::StringFieldIteratorT | ( | StringFieldT< T > & | f_in | ) |
| explicit noexcept

Definition at line 254 of file gstringfield.h.

## ◆ StringFieldIteratorT() [2/2]

template<typename T >

G::StringFieldIteratorT< T >::StringFieldIteratorT | ( | std::nullptr_t |  | ) |
| explicit noexcept

Definition at line 260 of file gstringfield.h.

## Member Function Documentation

## ◆ operator!=()

template<typename T >

bool G::StringFieldIteratorT< T >::operator!= | ( | StringFieldIteratorT< T > | other | ) | const
| noexcept

Definition at line 285 of file gstringfield.h.

## ◆ operator*()

template<typename T >

T G::StringFieldIteratorT< T >::operator*
| noexcept

Definition at line 273 of file gstringfield.h.

## ◆ operator++()

template<typename T >

G::StringFieldIteratorT< T > & G::StringFieldIteratorT< T >::operator++
| noexcept

Definition at line 266 of file gstringfield.h.

## ◆ operator==()

template<typename T >

bool G::StringFieldIteratorT< T >::operator== | ( | StringFieldIteratorT< T > | other | ) | const
| noexcept

Definition at line 279 of file gstringfield.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gstringfield.h